# ignoreOlderThan

Ignores newly discovered files older than the specified number of seconds.

This parameter applies to imfile: Text File Input Module.

Name:

  ignoreOlderThan

Scope:

  input

Type:

  integer

Default:

  0

Required?:

  no

Introduced:

  8.2108.0

## Description

Instructs imfile to ignore a discovered file that has not been modified in the given number of seconds. Once the file is discovered, it is no longer ignored and new data will be read. The default `0` disables this option.

## Input usage

    input(type="imfile"
          File="/var/log/example.log"
          Tag="example"
          ignoreOlderThan="0")

## See also

See also imfile: Text File Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.